Name:           wol
Version:        0.7.1
Release:        %mkrel 9
Summary:        Wake On Lan client

Group:          System/Base 
License:        GPLv2+
URL:            http://sourceforge.net/projects/wake-on-lan/
Source0:        http://downloads.sourceforge.net/wake-on-lan/%{name}-%{version}.tar.gz

BuildRequires:  gettext

Requires(post):		info-install
Requires(preun):	info-install


%description
wol implements Wake On LAN functionality in a small program. It wakes up
hardware that is Magic Packet compliant. SecureON is supported by wol too.

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README TODO
%{_infodir}/%{name}.info.*
%{_mandir}/man?/%{name}.*
%{_bindir}/%{name}*

#--------------------------------------------------------------------

%prep
%setup -q

# fix charset
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv
touch -c -r ChangeLog ChangeLog.conv
mv ChangeLog.conv ChangeLog

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_infodir}/dir

%find_lang %{name}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.7.1-9.mga3
+ Revision: 385819
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 14 2012 wally <wally> 0.7.1-8.mga2
+ Revision: 223390
- fix post and preun scripts
- use configure2_5x
- clean .spec a bit

* Sat Apr 30 2011 misc <misc> 0.7.1-7.mga1
+ Revision: 93927
- increase release to match the one in Mandriva

* Sun Mar 06 2011 dmorgan <dmorgan> 0.7.1-1.mga1
+ Revision: 65227
- imported package wol

